package org.magmafoundation.bot.command.commands.fun;

import net.dv8tion.jda.api.interactions.commands.build.CommandData;
import net.dv8tion.jda.api.interactions.commands.build.Commands;
import org.magmafoundation.bot.command.base.Category;
import org.magmafoundation.bot.command.base.CheckTypes;
import org.magmafoundation.bot.command.base.CommandContext;
import org.magmafoundation.bot.command.base.ICommand;

public class PluginChart implements ICommand {

   @Override
   public CheckTypes canUserExecute(CommandContext context) {
      return CheckTypes.SUCCESS;
   }

   @Override
   public void execute(CommandContext context) {
      context.getEvent().reply("https://media.discordapp.net/attachments/960681896810016838/1054849486846959697/gJTn2SA.png").queue();
   }

   @Override
   public String name() {
      return "pluginchart";
   }

   @Override
   public String help() {
      return "Display plugin/mod chart";
   }

   @Override
   public CommandData commandData() {
      return Commands.slash(name(), help()).setGuildOnly(true);
   }

   @Override
   public Category category() {
      return Category.FUN;
   }
}
