package org.magmafoundation.bot.command.commands.fun;

import net.dv8tion.jda.api.interactions.commands.build.CommandData;
import net.dv8tion.jda.api.interactions.commands.build.Commands;
import org.magmafoundation.bot.command.base.Category;
import org.magmafoundation.bot.command.base.CheckTypes;
import org.magmafoundation.bot.command.base.CommandContext;
import org.magmafoundation.bot.command.base.ICommand;

public class SwagmaCommand implements ICommand {

    public CheckTypes canUserExecute(CommandContext context) {
        return CheckTypes.SUCCESS; //everyone can execute this
    }

    public void execute(CommandContext context) {
        context.getEvent().reply("https://media.discordapp.net/attachments/647287352833605662/1042521014761963591/unknown.png").queue();
    }

    public String name() {
        return "swagma";
    }

    public String help() {
        return "Swag";
    }

    public CommandData commandData() {
        return Commands.slash(name(), help()).setGuildOnly(true);
    }

    public Category category() {
        return Category.FUN;
    }
}
