package org.magmafoundation.bot.core;

import dev.JustRed23.abcm.ConfigField;
import dev.JustRed23.abcm.Configurable;

import java.awt.Color;
import java.util.List;


@Configurable
public class Magma {

    public static final long start_time = System.currentTimeMillis();

    @ConfigField(defaultValue = "false")
    public static boolean enabled;

    @ConfigField(defaultValue = "true", optional = true)
    public static boolean show_unknown_command_message;

    @ConfigField(defaultValue = "Magma Bot")
    public static String name;

    @ConfigField(defaultValue = "9145")
    public static String tag;

    @ConfigField(defaultValue = "true")
    public static boolean useDatabase;

    @ConfigField(defaultValue = "255,51,0", optional = true)
    public static Color embed_color;

    @ConfigField(defaultValue = "<:magma:960687673201279056>", optional = true)
    public static String magma_emote;

    @ConfigField(defaultValue = "https://magmafoundation.org/", optional = true)
    public static String website_url;

    @ConfigField(defaultValue = "https://git.magmafoundation.org/", optional = true)
    public static String git_url;

    @ConfigField(defaultValue = "https://git.magmafoundation.org/magmafoundation/MagmaBot", optional = true)
    public static String repo_url;

    @ConfigField(defaultValue = "144500868522180609", optional = true)
    public static String owner_id;

    @ConfigField(defaultValue = "759500329644589057", optional = true)
    public static String admin_role_id;

    @ConfigField(defaultValue = "847353015262117888", optional = true)
    public static String super_mod_role_id;


    @ConfigField(defaultValue = "677339874235252739", optional = true)
    public static String mod_role_id;

    @ConfigField(defaultValue = "968968067575074826", optional = true)
    public static String staff_role_id;
    @ConfigField(defaultValue = "1117322427114999818", optional = true)
    public static String ad_blacklist_role_id;
    @ConfigField(defaultValue = "839281104951181342", optional = true)
    public static String member_role_id;

    @ConfigField(defaultValue = "612695539729039411", optional = true)
    public static long guild_id;

    @ConfigField(defaultValue = "919645057139761153", optional = true)
    public static String log_channel_id;

    @ConfigField(defaultValue = "612994295674306576", optional = true)
    public static String staff_channel_id;

    @ConfigField(defaultValue = "709119258956922960", optional = true)
    public static String advertisement_channel_id;

    @ConfigField(defaultValue = "996904840003342366", optional = true)
    public static String verification_channel_id;

    @ConfigField(defaultValue = "https://media.discordapp.net/attachments/679000272587980800/944306363255889990/698109275653799956.png", optional = true)
    public static String roles_embed_url;

    @ConfigField(defaultValue = "React to assign yourself some roles", optional = true)
    public static String roles_embed_title;
    @ConfigField(defaultValue = "U+1F514,U+2B06,2\u20E3,6\u20E3,8\u20E3,9\u20E3,0\u20E3,U+1F508", optional = true)
    public static List<String> roles_embed_emoji;
    @ConfigField(defaultValue = "884289747915259954,884294176907350106,884294928740544522,884294876223664130,958324808750366740,1087950076346912869,1116473231587688468,884295578710843392", optional = true)
    public static List<String> roles_embed_roles;
    @ConfigField(defaultValue = ":bell:, :arrow_up:, :two:, :six:, :eight:, :nine:, :zero:, :loud_sound:", optional = true)
    public static List<String> roles_embed_roles_message_emoji;
    public static final String roles_embed_remove_all_roles_emoji = "\u274C";
    @ConfigField(defaultValue = "884286315011641344", optional = true)
    public static String  roles_channel_id;

    @ConfigField(defaultValue = "Verification!", optional = true)
    public static String verification_embed_title;
    @ConfigField(defaultValue = "Please react with :white_check_mark: to get verified and gain access to the rest of magma foundation!", optional = true)
    public static String verification_embed_message;
    @ConfigField(defaultValue = "https://media.discordapp.net/attachments/679000272587980800/944306363255889990/698109275653799956.png", optional = true)
    public static String verification_embed_url;
    @ConfigField(defaultValue = "U+2705", optional = true)
    public static String verification_embed_emoji;
    @ConfigField(defaultValue = "839281104951181342", optional = true)
    public static String verification_role_id;

}
