package org.magmafoundation.bot.db;

import java.sql.SQLException;

public abstract class Table<T> {

    protected abstract void createTable() throws SQLException;
    public abstract T get(Object... args) throws SQLException;

    public abstract void add(Object... args) throws SQLException;
    public void remove(Object... args) throws SQLException {}
    public void update(Object... args) throws SQLException {}
}
