package org.magmafoundation.bot.core;

import dev.JustRed23.abcm.parsing.IParser;

import java.awt.*;
import java.util.Collections;
import java.util.List;

import static java.lang.Integer.parseInt;

public class ColorParser implements IParser<Color> {

    public Color parse(String value) {
        String[] split = value.trim().split(",");
        return new Color(parseInt(split[0]), parseInt(split[1]), parseInt(split[2]));
    }

    public List<Class<?>> canParse() {
        return Collections.singletonList(Color.class);
    }
}
