package org.magmafoundation.bot.utils;

import org.jetbrains.annotations.Nullable;
import org.magmafoundation.bot.update.AutoUpdate;

import java.io.File;
import java.net.URI;
import java.nio.file.Paths;

public class JarUtils {

    public static @Nullable File getJarFile() {
        try {
            URI uri = AutoUpdate.class.getProtectionDomain().getCodeSource().getLocation().toURI();
            File jar = Paths.get(uri).toFile();

            if (jar.isFile() && jar.getName().endsWith(".jar"))
                return jar;
            return null;
        } catch (Exception e) {
            return null;
        }
    }
}
